error upgrading

Pertanyaan umum seputar distribusi Ubuntu yang menjadi distro wajib members ubuntu-indonesia.com
User avatar
mambusampah
Posts: 9
Joined: 07 Sep 2012, 10:05

error upgrading

Postby mambusampah » 07 Sep 2012, 10:11

hi, :grin:
mohon bantuan dari saudara sekalian saya mengalami error ketika upgrading ubuntu server oneiric saya
/home# apt-get install -f
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 48 not upgraded.
2 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up udev (173-0ubuntu4.3) ...
udev start/running, process 1962
info: unrecognized option '--convert-db'
dpkg: error processing udev (--configure):
subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of plymouth:
plymouth depends on udev (>= 166-0ubuntu4); however:
Package udev is not configured yet.
dpkg: error processing plymouth (--configure):
dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
Errors were encountered while processing:
udev
plymouth
E: Sub-process /usr/bin/dpkg returned an error code (1)

mohon bantuannya terima kasih
User avatar
semut
Posts: 455
Joined: 05 Jul 2010, 19:15
Location: kendal,Indonesia
Contact:

Re: error upgrading

Postby semut » 07 Sep 2012, 10:26

kyk'e ini gara2 kemaren blm selesai configure tp udah di down.
sudah coba
$ sudo dpkg --configure
User avatar
mambusampah
Posts: 9
Joined: 07 Sep 2012, 10:05

Re: error upgrading

Postby mambusampah » 07 Sep 2012, 10:33

saya tidak menghentikan proses upgrade sama sekali,udah coba mas pake --configure, menurut saya error nya yang unrecognized option "--convert-db" itu
User avatar
blackshirt
Posts: 2336
Joined: 02 Jan 2010, 17:00
Location: Solo dan Kebumen
Contact:

Re: error upgrading

Postby blackshirt » 07 Sep 2012, 10:39

hook to the pylmouth post install scripts
User avatar
mambusampah
Posts: 9
Joined: 07 Sep 2012, 10:05

Re: error upgrading

Postby mambusampah » 07 Sep 2012, 11:14

mohon penjelasannya mas blackshirt
User avatar
blackshirt
Posts: 2336
Joined: 02 Jan 2010, 17:00
Location: Solo dan Kebumen
Contact:

Re: error upgrading

Postby blackshirt » 07 Sep 2012, 11:55

upgrade aja,
User avatar
mambusampah
Posts: 9
Joined: 07 Sep 2012, 10:05

Re: error upgrading

Postby mambusampah » 07 Sep 2012, 15:34

belum solved ni masalahnya !
ada yang bisa bantu?
User avatar
sta
Posts: 2003
Joined: 27 Apr 2010, 09:49
Contact:

Re: error upgrading

Postby sta » 07 Sep 2012, 15:49

sudo apt-get autoremove
sudo apt-get update
sudo apt-get install -f
sudo dpkg --configure udev
User avatar
mambusampah
Posts: 9
Joined: 07 Sep 2012, 10:05

Re: error upgrading

Postby mambusampah » 09 Sep 2012, 14:09

tetep aja mas sta gk bisa nih !
User avatar
blackshirt
Posts: 2336
Joined: 02 Jan 2010, 17:00
Location: Solo dan Kebumen
Contact:

Re: error upgrading

Postby blackshirt » 09 Sep 2012, 15:52

itu udevnya yang bermasalah...karena mungkin opsi yang berbeda dengan versi yang lama...
Coba cari dan download udev dalam bentuk .deb files dan install dengan dpkg...
User avatar
mambusampah
Posts: 9
Joined: 07 Sep 2012, 10:05

Re: error upgrading

Postby mambusampah » 09 Sep 2012, 16:46

mas saya sudah coba semua perintah
apt-get autoremove
apt-get update
apt-get upgrade
dpkg --configure
apt-get clean
apt-get install -f
selalu yang keluar:
dpkg --configure udev
Setting up udev (173-0ubuntu4.3) ...
udev start/running, process 4454
info: unrecognized option '--convert-db'
dpkg: error processing udev (--configure):
subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
udev

info: unrecognized option '--convert-db' itu apa artinya ya?
User avatar
Nexus
Posts: 2957
Joined: 26 Feb 2011, 12:39
Location: Ujung dunia

Re: error upgrading

Postby Nexus » 09 Sep 2012, 17:28

reinstall aja udev nya
User avatar
mambusampah
Posts: 9
Joined: 07 Sep 2012, 10:05

Re: error upgrading

Postby mambusampah » 09 Sep 2012, 18:09

mas Nexus kalo saya uninstall udev apakah masih bisa connect internet? apakah system masih bisa berjalan? karena saya hanya bisa menginstall dengan apt saja
terima kasih
User avatar
Nexus
Posts: 2957
Joined: 26 Feb 2011, 12:39
Location: Ujung dunia

Re: error upgrading

Postby Nexus » 10 Sep 2012, 00:11

sudo apt-get install --reinstall udev

*reinstall lho, bukan uninstall!!!!!!!
User avatar
blackshirt
Posts: 2336
Joined: 02 Jan 2010, 17:00
Location: Solo dan Kebumen
Contact:

Re: error upgrading

Postby blackshirt » 10 Sep 2012, 06:48

coba lampirin isi file /var/lib/dpkg/info/udev.postinst
User avatar
blackshirt
Posts: 2336
Joined: 02 Jan 2010, 17:00
Location: Solo dan Kebumen
Contact:

Re: error upgrading

Postby blackshirt » 10 Sep 2012, 07:02

This bug was fixed in the package udev - 175-0ubuntu2

---------------
udev (175-0ubuntu2) precise; urgency=low

* debian/udev.postinst: Ignore failures of "udevadm --convert-db". This
option does not exist any more in Ubuntu 11.10 and later, so for upgrades
from 10.04 LTS to 12.04 LTS you need to reboot. This doesn't really hurt,
as there are already two dozen other reasons to reboot after upgrade.
(LP: #887892)
* Partially revert r2735 and move the daemon back to /sbin/, to better
comply with FHS.
* debian/udev.postinst: Use invoke-rc.d to restart udev instead of
"restart", to pick up new daemon path. (LP: #889226)
-- Martin Pitt Tue, 15 Nov 2011 08:14:03 +0100
User avatar
mambusampah
Posts: 9
Joined: 07 Sep 2012, 10:05

Re: error upgrading

Postby mambusampah » 11 Sep 2012, 19:20

#!/bin/sh -e
# This script can be called in the following ways:
#
# After the package was installed:
# configure
#
#
# If prerm fails during upgrade or fails on failed upgrade:
# abort-upgrade
#
# If prerm fails during deconfiguration of a package:
# abort-deconfigure in-favour
# removing
#
# If prerm fails during replacement due to conflict:
# abort-remove in-favour


# Enable udevadm again
enable_udevadm()
{
if [ -e /sbin/udevadm.upgrade ]; then
rm -f /sbin/udevadm
dpkg-divert --package fake-udev --rename --divert /sbin/udevadm.upgr ade \
--remove /sbin/udevadm
fi
}

# Remove things from the initial device tree that are no longer required
remove_devices()
{
rm -f /lib/udev/devices/fd
rm -f /lib/udev/devices/stdin
rm -f /lib/udev/devices/stdout
rm -f /lib/udev/devices/stderr
rm -f /lib/udev/devices/core
rm -f /lib/udev/devices/sndstat
rm -f /lib/udev/devices/console
rm -f /lib/udev/devices/null
rm -f /lib/udev/devices/ppp
rm -f /lib/udev/devices/loop0
rm -rf /lib/udev/devices/net
rm -rf /lib/udev/devices/pts
rm -rf /lib/udev/devices/shm
}

# Write the initial copy of the persistent net and cd rules
seed_persistent_rules()
{
FILE=/etc/udev/rules.d/70-persistent-net.rules
if [ ! -e $FILE ]; then
echo "# This file maintains persistent names for network interfaces." > $FILE
echo "# See udev(7) for syntax." >> $FILE
echo "#" >> $FILE
echo "# Entries are automatically added by the 75-persistent-net-generat or.rules" >> $FILE
echo "# file; however you are also free to add your own entries." >> $FI LE
fi

FILE=/etc/udev/rules.d/70-persistent-cd.rules
if [ ! -e $FILE ]; then
echo "# This file maintains persistent names for CD/DVD reader and write r devices." > $FILE
echo "# See udev(7) for syntax." >> $FILE
echo "#" >> $FILE
echo "# Entries are automatically added by the 75-cd-aliases-generator.r ules" >> $FILE
echo "# file; however you are also free to add your own entries provided you" >> $FILE
echo "# add the ENV{GENERATED}="1" flag to your own rules as well." >> $ FILE
fi
}


case "$1" in
configure)
# Upgrade from lucid
if dpkg --compare-versions "$2" lt "172-0ubuntu3"; then
remove_devices
fi

seed_persistent_rules
restart udev || true
enable_udevadm

# 165 changed DB format
if dpkg --compare-versions "$2" lt-nl "165~"; then
udevadm info --convert-db
fi

update-initramfs -u
;;

abort-upgrade|abort-deconfigure|abort-remove)
;;

*)
echo "$0 called with unknown argument \`$1'" 1>&2
exit 1
;;
esac

# Automatically added by dh_installinit
update-rc.d -f udev remove >/dev/null || exit $?
# End automatically added section
# Automatically added by dh_installinit
update-rc.d -f udev-finish remove >/dev/null || exit $?
# End automatically added section

exit 0
User avatar
mambusampah
Posts: 9
Joined: 07 Sep 2012, 10:05

Re: error upgrading

Postby mambusampah » 11 Sep 2012, 19:30

wah sudah solved ni mas saya edit /var/lib/dpkg/info/udev.postinst setelah saya beri pagar di baris

if dpkg --compare-versions "$2" lt-nl "165~"; then
udevadm info --convert-db
fi

update-initramfs -u

terima kasih atas bantuannya
User avatar
blackshirt
Posts: 2336
Joined: 02 Jan 2010, 17:00
Location: Solo dan Kebumen
Contact:

Re: error upgrading

Postby blackshirt » 12 Sep 2012, 06:51

--convert-db memang sudah obsolete di release yang baru-baru, baca changelog di atas :d
User avatar
semut
Posts: 455
Joined: 05 Jul 2010, 19:15
Location: kendal,Indonesia
Contact:

Re: error upgrading

Postby semut » 12 Sep 2012, 14:21

newbie nyimak....
tp kog gak paham apa nih yg dibahas
wkwkwkwk.... oon banget yah semut :p

Return to “Pertanyaan Umum”

Who is online

Users browsing this forum: No registered users and 9 guests